<?php 
// More about design modifications - www.opensolution.org/Quick.Cms/docs/?id=en-design
if( !defined( 'CUSTOMER_PAGE' ) )
  exit;

if( !empty( $config['login_page'] ) && $iContent == $config['login_page'] ){
  if( defined( 'FB_APP_ID' ) ){
    require DIR_PLUGINS.'facebook/facebook.php';
    $oFB = new Facebook( Array( 'appId' => $config['fbAppId'], 'secret' => $config['fbAppSecret'] ) );
    $iFbUser = $oFB->getUser( );
    if( isset( $iFbUser ) && is_numeric( $iFbUser ) && $iFbUser > 0 ){
      try {
        $aFbUser = $oFB->api('/me');
        if( isset( $aFbUser['id'] ) && $oUser->loginFbUser( $aFbUser ) == true ){
          define( 'USERS_LOGIN_OK', true );
        }
      } catch ( FacebookApiException $e ) { $iFbUser = null; }
    }
  }

  if( !empty( $_POST['sLogin'] ) && !empty( $_POST['sPass'] ) ){
    if( $oUser->checkUserLogin( $_POST['sLogin'], $_POST['sPass'] ) === true )
      define( 'USERS_LOGIN_OK', true );
    else
      define( 'USERS_LOGIN_ERROR', true );
  }

  if( defined( 'USERS_LOGIN_OK' ) ){
    $iRedirect = null;
    if( isset( $_POST['bRedirectOrder'] ) )
      $iRedirect = $config['order_page'];
    elseif( isset( $_SESSION['iRedirect'] ) && is_numeric( $_SESSION['iRedirect'] ) ){
      $iRedirect = $_SESSION['iRedirect'];
      unset( $_SESSION['iRedirect'] );
    }
    elseif( isset( $config['after_user_login_page'] ) && is_numeric( $config['after_user_login_page'] ) )
      $iRedirect = $config['after_user_login_page'];

    if( isset( $iRedirect ) ){
      if( !isset( $oPage->aPages[$iRedirect] ) )
        $oPage->aPages[$iRedirect]['sLinkName'] = function_exists( 'throwPageUrl' ) ? throwPageUrl( ','.$iRedirect ) : '?,'.$iRedirect;
    }
    else{
      $iRedirect = $config['start_page'];
      if( ( !defined( 'FRIENDLY_LINKS' ) || FRIENDLY_LINKS !== true ) && !isset( $oPage->aPages[$config['login_page']]['iHttps'] ) ) $oPage->aPages[$iRedirect]['sLinkName'] = '?';
    }
    $aUrls = throwSiteUrls( );
    header( 'Location: '.( !strstr( $oPage->aPages[$iRedirect]['sLinkName'], 'http' ) ? ( dirname( $aUrls['sUrl'] ).'/' ) : null ).$oPage->aPages[$iRedirect]['sLinkName'] );
    exit;
  }

}

require_once DIR_TEMPLATES.$config['skin'].'/_header.php'; // include design of header
?>
<div id="page">
<?php
if( isset( $aData['sName'] ) ){ // displaying pages and subpages content
  echo '<h1>'.$aData['sName'].'</h1>'; // displaying page name

  if( isset( $aData['sPagesTree'] ) )
    echo '<div class="breadcrumb">'.$aData['sPagesTree'].'</div>'; // displaying page tree (breadcrumb)

  echo $oFile->listGalleryImages( $aData['iPage'], 3 ); // displaying images with type: top
  echo $oFile->listImagesByTypes( $aData['iPage'], 1 ); // displaying images with type: left
  echo $oFile->listImagesByTypes( $aData['iPage'], 2 ); // displaying images with type: right
  
  if( isset( $aData['sDescriptionFull'] ) )
   echo '<div class="content" id="pageDescription">'.$aData['sDescriptionFull'].'</div>'; // full description

  if( !empty( $config['login_page'] ) && $iContent == $config['login_page'] ){
    echo '<div id="log">';
    if( !empty( $_POST['sLogin'] ) && !empty( $_POST['sPass'] ) ){
      if( defined( 'USERS_LOGIN_ERROR' ) )
        echo '<div class="message"><h2>'.$lang['Error_login_or_pass'].'<br />'.( ( !empty( $config['forget_password_page'] ) && is_numeric( $config['forget_password_page'] ) && isset( $oPage->aPages[$config['forget_password_page']]['sLinkName'] ) && !empty( $config['email'] ) ) ? '<a href="'.$oPage->aPages[$config['forget_password_page']]['sLinkName'].'">'.$lang['I_forget_password'].'</a><br />' : null ).'<a href="javascript:history.back();">&laquo; '.$lang['back'].'</a></h2></div>';
    }
    else{ // login form
      ?>
      <script type="text/javascript">
      <!--
      function cursor( ){
        if( gEBI( 'login' ).value == '' )
          gEBI( 'login' ).focus( );
        else
          gEBI( 'password' ).focus( );        
      }
      AddOnload( cursor );
      //-->
      </script>
      <form action="" method="post" id="profile" class="form">
        <fieldset>
          <legend><?php echo $lang['Login_form']; ?></legend>
          <dl>
            <dt><label for="login"><?php echo $lang['Login']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
            <dd><input type="text" name="sLogin" value="" class="input" id="login" /></dd>
            <dt><label for="password"><?php echo $lang['Password']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
            <dd><input type="password" name="sPass" value="" class="input" id="password" /></dd>
            <dd class="button"><input type="submit" value="<?php echo $lang['log_in']; ?> &raquo;" class="submit" /></dd>
          </dl>

          <?php
          if( !empty( $config['forget_password_page'] ) && is_numeric( $config['forget_password_page'] ) && isset( $oPage->aPages[$config['forget_password_page']]['sLinkName'] ) && !empty( $config['email'] ) ){
          ?>
          <div class="forget">
            <a href="<?php echo $oPage->aPages[$config['forget_password_page']]['sLinkName']; ?>"><?php echo $lang['I_forget_password']; ?></a>
          </div>
          <?php }
          if( defined( 'FB_APP_ID' ) ){ ?>
          <div class="fb">
            <div><?php echo $lang['Click_to_login_using_fb_account']; ?></div>
            <a href="<?php echo $oFB->getLoginUrl( Array( 'scope' => 'email' ) ); ?>"><img src="<?php echo $config['dir_skin']; ?>img/fb.png" alt="" /></a>
          </div>
          <?php } ?>

        </fieldset>
      </form>
      <?php
    }
    echo '</div>';
  }

  echo $oFile->listGalleryImages( $aData['iPage'], 4 ); // displaying images with type: bottom
  echo $oFile->listFiles( $aData['iPage'] ); // display files included to the page

  if( $aData['iSubpagesShow'] > 0 ){
    if( $aData['iSubpagesShow'] < 4 )
      echo $oPage->listSubpages( $aData['iPage'], $aData['iSubpagesShow'] ); // standard subpages list
    elseif( $aData['iSubpagesShow'] == 4 )
      echo $oPage->listSubpagesNews( $aData['iPage'] ); // news
    elseif( $aData['iSubpagesShow'] == 5 )
      echo $oPage->listSubpagesGallery( $aData['iPage'] ); // subpages list as gallery
  } // displaying subpages
}
else{
  echo '<div class="message" id="error"><h2>'.$lang['Data_not_found'].'</h2></div>'; // displaying 404 error
}
?>
</div>
<?php
require_once DIR_TEMPLATES.$config['skin'].'/_footer.php'; // include design of footer
?>
