<?php 
// More about design modifications - www.opensolution.org/Quick.Cms/docs/?id=en-design
if( !defined( 'CUSTOMER_PAGE' ) )
  exit;

require_once DIR_TEMPLATES.$config['skin'].'/_header.php'; // include design of header
?>
<div id="page">
<?php
if( isset( $aData['sName'] ) ){ // displaying pages and subpages content
  echo '<h1>'.$aData['sName'].'</h1>'; // displaying page name

  if( isset( $aData['sPagesTree'] ) )
    echo '<div class="breadcrumb">'.$aData['sPagesTree'].'</div>'; // displaying page tree (breadcrumb)

  echo $oFile->listGalleryImages( $aData['iPage'], 3 ); // displaying images with type: top
  echo $oFile->listImagesByTypes( $aData['iPage'], 1 ); // displaying images with type: left
  echo $oFile->listImagesByTypes( $aData['iPage'], 2 ); // displaying images with type: right
  
  if( isset( $aData['sDescriptionFull'] ) )
   echo '<div class="content" id="pageDescription">'.$aData['sDescriptionFull'].'</div>'; // full description

  if( !empty( $config['register_page'] ) && $iContent == $config['register_page'] && !isset( $_SESSION['iUserClient'.SESSION_KEY_NAME] ) ){
    if( isset( $_POST['sOption'] ) ){
      if( checkFormFields( $_POST, Array( 'sLogin' => true, 'sPass' => true, 'sPass2' => true, 'sFirstName' => true, 'sLastName' => true, 'sMd5' => true, 'sCaptcha' => true, 'sEmail' => Array( 'email' ) ), true ) && strlen( $_POST['sMd5'] ) == 32 && md5( trim( $_POST['sCaptcha'] ) ) == $_POST['sMd5'] && ( ( isset( $_POST['iRules'] ) && isset( $_POST['iRulesAccept'] ) ) || !isset( $_POST['iRules'] ) ) ){
        if( $_POST['sPass'] != $_POST['sPass2'] )
          echo '<div class="message" id="error"><h2>'.$lang['Password_dont_match'].'<br /><a href="javascript:history.back();">&laquo; '.$lang['back'].'</a></h2></div>';
        elseif( $oUser->checkUserLoginNotExist( $_POST['sLogin'] ) === true ){
          $oUser->saveUser( $_POST );
          if( isset( $_POST['iNewsletter'] ) ){
            require_once DIR_CORE.'newsletter.php';
            if( checkEmail( $_POST['sEmail'] ) )
              addEmailToNewsletter( $_POST['sEmail'] );
          }
          echo '<div class="message"><h2>'.$lang['Operation_completed'].'</h2></div>';
        }
        else
          echo '<div class="message" id="error"><h2>'.$lang['User_exists'].'<br /><a href="javascript:history.back();">&laquo; '.$lang['back'].'</a></h2></div>';
      }
      else
        echo '<div class="message" id="error"><h2>'.$lang['cf_no_word'].'<br /><a href="javascript:history.back();">&laquo; '.$lang['back'].'</a></h2></div>';
    }
    else{
      $aCaptcha = throwCaptchaText( );
      define( 'USERS_LOGIN_FIELD_INPUT', true );
      define( 'CAPTCHA', true );
      define( 'USERS_FORM', true );
      if( defined( 'FB_APP_ID' ) ){
        require DIR_PLUGINS.'facebook/facebook.php';
        $oFB = new Facebook( Array( 'appId' => $config['fbAppId'], 'secret' => $config['fbAppSecret'] ) );
        $aUrls = throwSiteUrls( );
      }
    }
    $aUser = null;
  }

  if( !empty( $config['profile_page'] ) && $iContent == $config['profile_page'] ){
    if( isset( $_SESSION['iUserClient'.SESSION_KEY_NAME] ) ){
      if( isset( $_POST['sOption'] ) && $_POST['sOption'] == 'save' ){
        if( !empty( $_POST['sPass'] ) && !empty( $_POST['sPass2'] ) && $_POST['sPass'] != $_POST['sPass2'] )
          echo '<div class="message" id="error"><h2>'.$lang['Password_dont_match'].'<br /><a href="javascript:history.back();">&laquo; '.$lang['back'].'</a></h2></div>';
        else{
          $oUser->saveUser( $_POST, $_SESSION['iUserClient'.SESSION_KEY_NAME] );
          $oUser->setUserVariables( $oUser->throwUser( $_SESSION['iUserClient'.SESSION_KEY_NAME] ) );
          echo '<div class="message" id="ok"><h2>'.$lang['Operation_completed'].'</h2></div>';
          define( 'USERS_FORM', true );
        }
      }
      else{
        define( 'USERS_FORM', true );
      }
      if( defined( 'USERS_FORM' ) ){
        $aUser = $oUser->throwUser( $_SESSION['iUserClient'.SESSION_KEY_NAME], null );
        define( 'USERS_LOGIN_FIELD_TEXT', true );
      }
    }
  }

  if( defined( 'USERS_FORM' ) ){ // profile or registration form
    ?>
    <script src="<?php echo $config['dir_libraries']; ?>quick.form.js"></script>
    <script type="text/javascript">
    function checkUserDataForm( oObj ){
      if( gEBI( 'password' ).value != gEBI( 'password2' ).value ){
        alert( "<?php echo $lang['Password_dont_match']; ?>" );
        gEBI( 'password' ).focus( );
        return false;
      }
    } // end function checkUserDataForm
    $(function(){ $( "#profile" ).quickform(); });
    </script>
    <form action="" method="post" onsubmit="return checkUserDataForm( this );" class="form<?php if( defined( 'USERS_LOGIN_FIELD_INPUT' ) ) echo ' register' ?>" id="profile">
      <fieldset>
        <legend><?php echo $lang['User_data_form']; ?></legend>
        <input type="hidden" name="sOption" value="save" />
        <dl>
          <?php if( defined( 'USERS_LOGIN_FIELD_INPUT' ) ){ ?>
            <dt><label for="login"><?php echo $lang['Login']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
            <dd><input type="text" name="sLogin" value="" class="input" data-form-check="required;3" id="login" maxlength="40" /></dd>
            <dt><label for="password"><?php echo $lang['Password']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
            <dd><input type="password" name="sPass" value="" class="input" data-form-check="required;5" id="password" maxlength="20" /></dd>
            <dt><label for="password2"><?php echo $lang['Password_confirm']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
            <dd><input type="password" name="sPass2" value="" class="input" data-form-check="required;5" id="password2" maxlength="20" /></dd>
          <?php } elseif( defined( 'USERS_LOGIN_FIELD_TEXT' ) && !isset( $aUser['sFbId'] ) ){ ?>
            <dd><?php echo $lang['Login']; ?>: <strong><?php if( isset( $aUser['sLogin'] ) ) echo $aUser['sLogin']; ?></strong></dd>
            <dt><label for="password"><?php echo $lang['Password_change']; ?></label></dt>
            <dd><input type="password" name="sPass" value="" class="input" data-form-check="required;5" data-form-if="true" id="password" maxlength="20" /></dd>
            <dt><label for="password2"><?php echo $lang['Password_confirm']; ?></label></dt>
            <dd><input type="password" name="sPass2" value="" class="input" data-form-check="required;5" data-form-if="true" id="password2" maxlength="20" /></dd>
          <?php } ?>

          <dt><label for="fistName"><?php echo $lang['First_name']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
          <dd><input type="text" name="sFirstName" value="<?php if( isset( $aUser['sFirstName'] ) ) echo $aUser['sFirstName']; ?>" class="input" data-form-check="required" id="fistName" maxlength="30" /></dd>
          <dt><label for="lastName"><?php echo $lang['Last_name']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
          <dd><input type="text" name="sLastName" value="<?php if( isset( $aUser['sLastName'] ) ) echo $aUser['sLastName']; ?>" class="input" data-form-check="required" id="lastName" maxlength="30" /></dd>
          <dt><label for="email"><?php echo $lang['Email']; ?><span>(<?php echo $lang['required']; ?>)</span></label></dt>
          <dd><input type="text" name="sEmail" value="<?php if( isset( $aUser['sEmail'] ) ) echo $aUser['sEmail']; ?>" class="input" data-form-check="email" id="email" maxlength="40" /></dd>
          <dd class="not-required">
            <input type="checkbox" name="" id="iNotReguired" value="1" onclick="if(this.checked===true)gEBI('notRequired').style.display='block';else gEBI('notRequired').style.display='none';" />
            <label for="iNotReguired"><?php echo $lang['User_data_not_required']; ?></label>
          </dd>
        </dl>
        <dl id="notRequired">
          <dt><label for="company"><?php echo $lang['Company']; ?></label></dt>
          <dd><input type="text" name="sCompanyName" value="<?php if( isset( $aUser['sCompanyName'] ) ) echo $aUser['sCompanyName']; ?>" class="input" id="company" maxlength="100" /></dd>
          <dt><label for="vrn"><?php echo $lang['Vrn']; ?></label></dt>
          <dd><input type="text" name="sVrn" value="<?php if( isset( $aUser['sVrn'] ) ) echo $aUser['sVrn']; ?>" class="input" id="vrn" maxlength="20" /></dd>
          <dt><label for="street"><?php echo $lang['Street']; ?></label></dt>
          <dd><input type="text" name="sStreet" value="<?php if( isset( $aUser['sStreet'] ) ) echo $aUser['sStreet']; ?>" class="input" id="street" maxlength="40" /></dd>
          <dt><label for="zipcode"><?php echo $lang['Zip_code']; ?></label></dt>
          <dd><input type="text" name="sZipCode" value="<?php if( isset( $aUser['sZipCode'] ) ) echo $aUser['sZipCode']; ?>" class="input" id="zipcode" maxlength="20" /></dd>
          <dt><label for="city"><?php echo $lang['City']; ?></label></dt>
          <dd><input type="text" name="sCity" value="<?php if( isset( $aUser['sCity'] ) ) echo $aUser['sCity']; ?>" class="input" id="city" maxlength="40" /></dd>
          <dt><label for="phone"><?php echo $lang['Telephone']; ?></label></dt>
          <dd><input type="text" name="sPhone" value="<?php if( isset( $aUser['sPhone'] ) ) echo $aUser['sPhone']; ?>" class="input" id="phone" maxlength="40" /></dd>
        </dl>
        <dl>
          <?php if( defined( 'CAPTCHA' ) ){
            if( !empty( $config['rules_page'] ) && isset( $oPage->aPages[$config['rules_page']] ) ){ ?>
              <dd class="rules">
                <input type="hidden" name="iRules" value="1" />
                <input type="checkbox" name="iRulesAccept" id="iRulesAccept" value="1" data-form-check="required" data-form-msg="<?php echo $lang['Require_rules_accept']; ?>" />
                <label for="iRulesAccept"><?php echo $lang['Rules_accept']; ?></label> (<a href="<?php echo $oPage->aPages[$config['rules_page']]['sLinkName']; ?>" onclick="window.open( this.href );return false;"><?php echo $lang['rules_read']; ?> &raquo;</a>).
              </dd>
            <?php } if( defined( 'DB_NEWSLETTER' ) ){ ?>
              <dd class="newsletter">
                <input type="checkbox" name="iNewsletter" id="iNewsletter" value="1" />
                <label for="iNewsletter"><?php echo $lang['User_newsletter_add']; ?></label>
              </dd>
            <?php } ?>
            <dd class="captcha">
              <input type="hidden" name="sMd5" value="<?php if( isset( $aCaptcha['sMd5'] ) ) echo $aCaptcha['sMd5']; ?>" />
              <label for="captcha"><?php echo $aCaptcha['sText']; ?> = </label><input type="text" name="sCaptcha" class="input" data-form-check="required" id="captcha" maxlength="5" size="5" />
            </dd>
            <?php } ?>
        </dl>
        <div class="save"><input type="submit" value="<?php echo $lang['send']; ?> &raquo;" class="submit" /></div>
        <?php if( defined( 'FB_APP_ID' ) && defined( 'USERS_LOGIN_FIELD_INPUT' ) && !empty( $config['login_page'] ) ){ ?>
          <div class="fb">
            <div><?php echo $lang['Click_to_login_using_fb_account']; ?></div>
            <a href="<?php echo $oFB->getLoginUrl( Array( 'scope' => 'email', 'redirect_uri' => ( !strstr( $oPage->aPages[$config['login_page']]['sLinkName'], 'http' ) ? $aUrls['sHomeUrl'] : null ).$oPage->aPages[$config['login_page']]['sLinkName'] ) ); ?>"><img src="<?php echo $config['dir_skin']; ?>img/fb.png" alt="" /></a>
          </div>
        <?php } ?>
      </fieldset>
    </form>
    <?php
  }

  echo $oFile->listGalleryImages( $aData['iPage'], 4 ); // displaying images with type: bottom
  echo $oFile->listFiles( $aData['iPage'] ); // display files included to the page

  if( $aData['iSubpagesShow'] > 0 ){
    if( $aData['iSubpagesShow'] < 4 )
      echo $oPage->listSubpages( $aData['iPage'], $aData['iSubpagesShow'] ); // standard subpages list
    elseif( $aData['iSubpagesShow'] == 4 )
      echo $oPage->listSubpagesNews( $aData['iPage'] ); // news
    elseif( $aData['iSubpagesShow'] == 5 )
      echo $oPage->listSubpagesGallery( $aData['iPage'] ); // subpages list as gallery
  } // displaying subpages
}
else{
  echo '<div class="message" id="error"><h2>'.$lang['Data_not_found'].'</h2></div>'; // displaying 404 error
}
?>
</div>
<?php
require_once DIR_TEMPLATES.$config['skin'].'/_footer.php'; // include design of footer
?>
